Bug 994350 - RFE: change web product label for only some versions of a product
RFE: change web product label for only some versions of a product
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican-redhat (Show other bugs)
4.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 02:08 EDT by mmurray
Modified: 2014-04-04 02:05 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-04 02:05:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mmurray 2013-08-07 02:08:59 EDT
Description of problem:
See https://access.redhat.com/site/documentation/Red_Hat_JBoss_Developer_Studio/

The 7.0 docs are in a table titled 'Red Hat JBoss Developer Studio 7.0'. All good.

The 6.0 doc(s) is in a table titled 'Red Hat JBoss Developer Studio 6.0'. I want the title of this table to read 'JBoss Developer Studio 6.0'.

What publican parameter can I use to achieve this? If there isn't one, can a parameter be introduced?

Extra info:
* At a later date I will also be adding 5.0 and 4.1 docs to this page and want those tables to have 'JBoss Developer Studio x.y' titles too.
* This is part of the JBoss product renaming so would be useful to many (if not all) middleware products.
Comment 2 Ruediger Landmann 2014-02-18 21:03:06 EST
The closest we presently have is web_product_label, but that changes the product name for *all* versions of the product together. 

This is a growing problem as more and more products are renamed and typically don't apply the new name to older versions.
Comment 4 lcarlon 2014-03-11 21:05:36 EDT
We currently have the JBoss Enterprise BRMS 5 documentation [1] and Red Hat JBoss BRMS 6 documentation [2], with no plans to rename the 5.x docs.

@Prakash, we discussed publishing the JBoss Enterprise BRMS 5.x docs under the same heading as the Red Hat JBoss BRMS 6.x docs in September last year, but we were unable to achieve that without renaming the old docs Red Hat JBoss... The requested functionality in this bug will allow us to group the 5.x and 6.x docs together on access.redhat.com without renaming the 5.x docs. Do you mind confirming that is still the desired approach?

Thanks
Lee

[1] https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_BRMS_Platform/

[2] https://access.redhat.com/site/documentation/en-US/Red_Hat_JBoss_BRMS/
Comment 5 Jeff Fearn 2014-03-11 21:21:19 EDT
(In reply to lcarlon from comment #4)
> We currently have the JBoss Enterprise BRMS 5 documentation [1] and Red Hat
> JBoss BRMS 6 documentation [2], with no plans to rename the 5.x docs.
> 
> @Prakash, we discussed publishing the JBoss Enterprise BRMS 5.x docs under
> the same heading as the Red Hat JBoss BRMS 6.x docs in September last year,
> but we were unable to achieve that without renaming the old docs Red Hat
> JBoss... The requested functionality in this bug will allow us to group the
> 5.x and 6.x docs together on access.redhat.com without renaming the 5.x
> docs. Do you mind confirming that is still the desired approach?
> 
> Thanks
> Lee
> 
> [1]
> https://access.redhat.com/site/documentation/en-US/
> JBoss_Enterprise_BRMS_Platform/
> 
> [2] https://access.redhat.com/site/documentation/en-US/Red_Hat_JBoss_BRMS/

This appears to be a different requirement. In #1 the product has been renamed for all versions, for the packaging at least, but they want the old product name used on the product index page for the older versions.

In #4 they product has not been renamed, and they effectively want to mix products on a product's index page.
Comment 8 Jeff Fearn 2014-04-01 01:40:19 EDT
This requires style changes to the brand.
Comment 9 Jeff Fearn 2014-04-04 02:05:02 EDT
Suggested approach has been put in to production.

Note You need to log in before you can comment on or make changes to this bug.